# Interface CompileTester.CompilationWithWarningsClause<T>

Type Parameters:
  `T` - the non-generic clause type implementing this interface

All Superinterfaces:
  `CompileTester.CompilationWithNotesClause<T>`

All Known Subinterfaces:
  `CompileTester.SuccessfulCompilationClause, CompileTester.UnsuccessfulCompilationClause`

Enclosing interface:
  `CompileTester`

public static interface CompileTester.CompilationWithWarningsClause<T> extends CompileTester.CompilationWithNotesClause<T>
The clause in the fluent API that checks notes and warnings in a compilation.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`CompileTester.FileClause<T>`
`withWarningContaining(String messageFragment)`
Checks that a warning exists that contains the given fragment in the diagnostic message.
`T`
`withWarningCount(int warningCount)`
Checks that the total warning count in all files matches the given amount.

### Methods inherited from interface CompileTester.CompilationWithNotesClause

`withNoteContaining, withNoteCount`

## Method Details

### withWarningContaining

@CanIgnoreReturnValue CompileTester.FileClause<T> withWarningContaining(String messageFragment)
Checks that a warning exists that contains the given fragment in the diagnostic message.

### withWarningCount

@CanIgnoreReturnValue T withWarningCount(int warningCount)
Checks that the total warning count in all files matches the given amount. This only counts diagnostics of the kind `Diagnostic.Kind.WARNING`.